org.apache.olingo.odata2.api.edm.provider

## Class AnnotationElement

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.AnnotationElement

-     public class AnnotationElement
      extends Object

  Objects of this class represent an annotation element.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationAttribute>` | `getAttributes()`
    `List<AnnotationElement>` | `getChildElements()`
    `String` | `getName()`
    `String` | `getNamespace()`
    `String` | `getPrefix()`
    `String` | `getText()`
    `AnnotationElement` | `setAttributes(List<AnnotationAttribute> attributes)` Sets the attributes for this `AnnotationElement`.
    `AnnotationElement` | `setChildElements(List<AnnotationElement> childElements)` Sets the child elements for this `AnnotationElement`.
    `AnnotationElement` | `setName(String name)` Sets the name for this `AnnotationElement`.
    `AnnotationElement` | `setNamespace(String namespace)` Sets the namespace for this `AnnotationElement`.
    `AnnotationElement` | `setPrefix(String prefix)` Sets the prefix for this `AnnotationElement`.
    `AnnotationElement` | `setText(String text)` Sets the text for this `AnnotationElement` which will be displayed inside the tags.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationElement

          public AnnotationElement()

  - ### Method Detail

    - #### getNamespace

          public String getNamespace()

    - #### getPrefix

          public String getPrefix()

    - #### getName

          public String getName()

    - #### getText

          public String getText()

    - #### getChildElements

          public List<AnnotationElement> getChildElements()

    - #### getAttributes

          public List<AnnotationAttribute> getAttributes()

    - #### setAttributes

          public AnnotationElement setAttributes(List<AnnotationAttribute> attributes)

      Sets the attributes for this `AnnotationElement`.
      Parameters:
        `attributes` -
      Returns:
        `AnnotationElement` for method chaining

    - #### setChildElements

          public AnnotationElement setChildElements(List<AnnotationElement> childElements)

      Sets the child elements for this `AnnotationElement`. Does not set child elements and characterData for one element.
      Parameters:
        `childElements` -
      Returns:
        `AnnotationElement` for method chaining

    - #### setNamespace

          public AnnotationElement setNamespace(String namespace)

      Sets the namespace for this `AnnotationElement`.
      Parameters:
        `namespace` -
      Returns:
        `AnnotationElement` for method chaining

    - #### setPrefix

          public AnnotationElement setPrefix(String prefix)

      Sets the prefix for this `AnnotationElement`.
      Parameters:
        `prefix` -
      Returns:
        `AnnotationElement` for method chaining

    - #### setName

          public AnnotationElement setName(String name)

      Sets the name for this `AnnotationElement`.
      Parameters:
        `name` -
      Returns:
        `AnnotationElement` for method chaining

    - #### setText

          public AnnotationElement setText(String text)

      Sets the text for this `AnnotationElement` which will be displayed inside the tags. Must NOT be set if child elements are set!
      Parameters:
        `text` -
      Returns:
        `AnnotationElement` for method chaining

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.